// ELEMENT.locale(ELEMENT.lang.en)
// Vue app

var app = new Vue({
  el: '#app',
  data: function() {
    return {
      commands: [],
      toolbars: [],
      windowHeight: 500,
      windowWidth: 500,
    }
  },
  methods: {
    search(cmd) {
      sketchup.search(cmd);
    },
    download(cmd) {
      sketchup.download(cmd);
    },
    remove(cmd) {
      var m = `Delete ${cmd.data.menu_text} command. Continue?`
      this.$confirm(m, '警告', {
        confirmButtonText: '确认',
        cancelButtonText: '取消',
        type: 'warning'
      }).then(() => {
        sketchup.remove(cmd);
      })
    },
    removeAll() {
      this.$confirm('删除所有缺少的命令', '警告', {
        confirmButtonText: '确认',
        cancelButtonText: '取消',
        type: 'warning'
      }).then(() => {
        sketchup.removeAll();
      })
    },
    enableExtension(cmd) {
      sketchup.enableExtension(cmd.data.from_extension.name);
      // cmd.data.from_extension.disable = false;
    },
  },
  mounted: function() {
    this.windowHeight = window.innerHeight;
    this.windowWidth = window.outerWidth;

    sketchup.ready(window.outerWidth, window.outerHeight);

    this.$nextTick(() => {
      window.addEventListener("resize", () => {
        // console.log('resizze')

        app.windowHeight = window.innerHeight;
        app.windowWidth = window.outerWidth;
      });
    });
  },
})

function updateData(commands) {
  app.commands = commands;
}
