// ELEMENT.locale(ELEMENT.lang.en)
// Vue app

var app = new Vue({
  el: '#app',
  data: function() {
    return {
      svgImageCommands : [],
    }
  },
  methods: {
    loadIcon(cmd, e){
      // console.log(cmd, e)
      if (cmd.icon_extname == '.svg'){
        this.svgToPng(cmd, e)
      }
    },
    hide(){
      sketchup.hide();
    },
    svgToPng(cmd, e){
      if (cmd.icon_extname == '.svg') {
        const svgImage = e.target;
        var canvas = document.getElementById("canvas"),
            context = canvas.getContext("2d");
  
        // canvas.width = svgImage.naturalWidth;
        // canvas.height = svgImage.naturalHeight;
  
        if (cmd.size == undefined) {
          cmd.size = 64;
        }

        canvas.width = cmd.size;
        canvas.height = cmd.size;
        context.drawImage(svgImage, 0, 0, cmd.size, cmd.size);
  
        const imgData = canvas.toDataURL('image/png');
        console.log(imgData)
        sketchup.svgToPng(cmd, imgData);
        context.clearRect(0, 0, canvas.width, canvas.height);
      }
    }
  },
  mounted: function() {
    sketchup.ready();
  },
})

function getCommandSvgImages(commands) {
  // console.log('getCommandSvgImages', commands)
  // app.svgImageCommands = [];
  app.svgImageCommands = commands;
}

function clearSVG() {
  app.svgImageCommands = []
}